<?php

use     App\Http\Controllers\Payment\outGoing;


Route::middleware(['auth','permission:employee.menu'])->prefix('outgoing')
        ->group(function () {
            Route::GET('/index', [outGoing::class,'index'])->name('payment.outgoing.index');
            Route::GET('/suppliers/list',[outGoing::class,'suppliers'])->name('payment.outgoing.suppliers');
            Route::POST('/Supplier/{SupplierId}', [outGoing::class,'SupplierPOList'])->name('payment.outgoing.Supplier');




            Route::POST('/outstanding/headerSave', [outGoing::class,'headerSave'])->name('payment.outgoing.headerSave');


            Route::GET('/outstanding/{headerCtrlNum}', [outGoing::class,'outstandingPOList'])->name('payment.outgoing.outstanding');



//            Route::POST('/outgoing/outstanding/payments', [outGoing::class,'outstandingPOList'])->name('payment.outgoing.outstanding');
            Route::POST('/outstanding/pay/{headerCtrlNum}/{POCtrlNum}/{anount}', [outGoing::class,'outstandingPOPay'])->name('payment.outgoing.pay');

            Route::POST('/outstanding/pay/del/{ControlNum}', [outGoing::class,'outstandingPOPayDel'])->name('payment.outgoing.pay.delete');

            Route::POST('/outstanding/pay/complete/{ControlNum}', [outGoing::class,'PaymentComplete'])->name('payment.outgoing.complete');
            Route::POST('/outstanding/pay/delete/{ControlNum}', [outGoing::class,'Paymentdelete'])->name('payment.outgoing.delete');


            Route::GET('/outstanding/pay/receipt/{ControlNum}', [outGoing::class,'Paymentreceipt'])->name('payment.outgoing.receipt');


            Route::GET('/outstanding/pay/receipt/{ControlNum}/pdf', [outGoing::class,'pdf'])->name('payment.outgoing.receipt.pdf');



        }
    );
